Subject: Automatic session expiration on user inactivity
Description

Sessions should expire automatically after a configured amount of time of inactivity.

Related issues:
related to TYPO3.Flow - Bug # 31192: Update session cookie lifetime on activity Resolved 2011-10-22

Associated revisions
Revision cfe4af2e - 2012-03-20 17:41 - Robert Lemke

[FEATURE] Automatic session expiration on user inactivity

This feature lets sessions expire automatically after a certain time
of user inactivity. The actual timeout can be specified through a
new setting called "inactivityTimeout".

This patch also sets the default cookie lifetime to infinite, as
expiration can be better controlled through the new timeout feature.

Fixes: #31192
Resolves: #35034
Releases: 1.1

Change-Id: I358860386e67f5f1b4d93299b5090dea91eaec55

History
#1 - 2012-03-20 12:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9765

#2 - 2012-03-20 15:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9765

#3 - 2012-03-20 17:41 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9765

#4 - 2012-03-20 17:46 - Robert Lemke
- Status changed from Under Review to Resolved
